package genesom;

public class WeightsDeltaVisitor
  extends NodeVisitor
{
  protected WeightsDeltaFunction wdf;

  public WeightsDeltaVisitor() {}

  public void setCallback(Object o) { wdf = (WeightsDeltaFunction)o; }

  public boolean at(Node curr_node)
  {
    ((Node)curr_node).update(wdf.value());

    return true;
  }

}
